ValueChecker
Customer Portal

Load Inventory from Portal

Server URLloading...
GET
/client_reference/{client_reference_id}/portal/customer/load

Authorization

apiKey
Authorization<token>

Note! Prefix your API key with apiKey and a space, for example apiKey YOUR_API_KEY.

In: header

Path Parameters

client_reference_id*integer

The client reference identifier.

Query Parameters

client_id?integer

The client ID for the request. It's required if you have access to multiple clients with your API key. Otherwise, it's optional.

session-id?string

Optional session identifier of the user.

force_load?boolean

Optional boolean value. When true, all inventory data is processed potentially overwriting any changes made by the advocate in the Standalone to previously loaded data. This can be a heavy operation on large inventories. Use intentionally when needed. When false (or not present), only new Inventory items are processed. This is the default behavior.

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/client_reference/9337/portal/customer/load"
{}